/**
 * @file button.h
 * @author Rmi Heredero (remi@heredero.ch)
 * @version 0.1
 * @date 2023-06-06
 * 
 */
#ifndef BUTTON_H
#define	BUTTON_H

#include <stdint.h>
#include <stdbool.h>

typedef enum {ST_PBINIT, ST_PBWAIT, ST_PBPOLL, ST_PBRELEASED, ST_PBPRESSED} BUTTON_STATES;
typedef enum {evPBInit, evPBPoll} BUTTON_EVENTS;

typedef struct {
    uint8_t id;
    BUTTON_STATES state;

} BUTTON;

void BUTTON_init(BUTTON* me, uint8_t id);
void BUTTON_initHW(BUTTON* me);
bool BUTTON_isPressed(BUTTON* me);

#endif	/* BUTTON_H */